> For the complete documentation index, see [llms.txt](https://docs.openbrim.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openbrim.org/developers/paramml-developer-guide/functions/custom-function/exportval-parametric.md).

# exportval (Parametric)

The function is used to pass values from one object to another within a program.

When an object is called by another object, this function is used to access and potentially modify the values of variables in the "Export" object using the input values.

By using this function, the value of the specified parameter is taken and can be used in the calling object.

To understand the working logic of this function, see the following example:

**Example:**

```xml
<O N="exportvalAObject" T="Project" Category="Functions" TransAlignRule="1">
    <!-- created by ParamML Examples on 13.02.2023 -->
    <P N="AForce" V="100" Role="Input" />
    <P N="BForce" V="50" Role="Input" />
    <P N="CForce" V="333" Role="Input" />
    <P N="DForce" V="888" Role="Input" />
    <P N="EForce" V="40" Role="Input" />
    <P N="FCompForce" V="AForce+BForce" />
    <P N="GCompForce" V="BForce+CForce" />
    <P N="HCompForce" V="DForce+EForce+CForce" />
    <O T="Export">
        <P N="BaseForce" V="100" />
    </O>
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2167865409/image-20230213-155700.png?api=v2) The exportvalAObject object is given above.

Within this object, A-B-C-D-E Force parameters are user input. F-G-H CompForce are intermediate parameters calculated with these user inputs. The BaseForce parameter is also a parameter inside the export object.

The object in question includes several input parameters, defined as the A-B-C-D-E Force parameters, which are provided by the user. The object also includes intermediate parameters, defined as the F-G-H CompForce, which are calculated using the user inputs.

Additionally, there is a BaseForce parameter, which is a parameter stored within the export object and is used as part of the calculations.

```xml
<O N="exportvalBObject" T="Project" Category="Functions" TransAlignRule="1">
    <!-- created by ParamML Examples on 13.02.2023 -->
    <O N="Calculation1" T="exportvalAObject">
        <P N="AForce" V="70" />
        <P N="BForce" V="30" />
        <P N="CForce" V="3" />
        <P N="DForce" V="8" />
        <P N="EForce" V="40" />
        <P N="BaseForce" V="100" />
    </O>
    <P N="expectedValue1" V="exportval(Calculation1.FCompForce)" />
    <P N="expectedValue2" V="exportval(Calculation1.GCompForce)" />
    <P N="expectedValue3" V="exportval(Calculation1.HCompForce)" />
    <P N="total" V="expectedValue1+expectedValue2+expectedValue3" />
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2167865409/image-20230213-155726.png?api=v2) Object B requires access to the parameters defined in object A. To accomplish this, object B utilizes the "exportval" parameter to perform calculations using the values stored in object A. This allows the user to perform necessary calculations with fewer steps and increased efficiency. By using the "exportval" parameter, object B can access and utilize the values stored in object A, streamlining the calculation process. To view this example in the library, see (exportvalAObject →<https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&obj=objidmkui0qg047luq5f7srim&folder=Functions> , exportvalBObject → <https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&obj=objid5mrdpg2kycmatipl76x4j&folder=Functions>)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openbrim.org/developers/paramml-developer-guide/functions/custom-function/exportval-parametric.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
